Skip to main content

List Import Jobs (V2)

This operation lists all import jobs of a specific cluster.

POST/v2/vectordb/jobs/import/list
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Acceptstringheader

Use application/json.

Example Value: application/json
Request Body
clusterIdstringrequired

ID of a specific cluster on Zilliz Cloud.

pageSizeinteger

Number of records to return at each request.

currentPageinteger

Current page number.

dbNamestring

Name of the database to which the import job belongs.

bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/vectordb/jobs/import/list" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"clusterId": "inxx-xxxxxxxxxxxxxxx"
}'
Responses

Returns a list of import jobs

codestring

Response code.

dataobject

Response payload, which is a list of import jobs in detail.

countinteger

Total number of records listed in this response.

currentPageinteger

Current page number for your reference.

pageSizeinteger

Maximum number of records to be included in each return.

recordsarray

List of import jobs in detail.

[]recordsobject

An import job in detail.

collectionNamestring

Name of the target collection of this import job.

jobIdstring

ID of this import job.

statestring

State of this import job.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": {
"count": 1,
"currentPage": 1,
"pageSize": 10,
"records": [
{
"collectionName": "test_collection",
"jobId": "job-xxxxxxxxxxxxxxxxxxxxx",
"state": "Completed"
}
]
}
}
Ctrl I